package com.xkrs.utilsnew;

import org.apache.hc.core5.util.TextUtils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class ListUtils {

    /**
     * 字符串切割为集合
     *
     * @param content
     * @param splitRegex
     * @return
     */
    public static List<String> toStringList(String content, String splitRegex) {
        List<String> list = new ArrayList<>();
        if (TextUtils.isEmpty(content)) {
            return list;
        }
        if (TextUtils.isEmpty(splitRegex)) {
            throw new RuntimeException("splitRegex == null");
        }
        if (content.contains(splitRegex)) {
            String[] splitArray = content.split(splitRegex);
            if (splitArray.length > 0) {
                list.addAll(Arrays.asList(splitArray));
            }
        } else {
            list.add(content);
        }
        return list;
    }

    /**
     * 集合转字符串
     *
     * @param list
     * @param splitRegex
     * @return
     */
    public static String fromStringList(List<String> list, String splitRegex) {
        if (TextUtils.isEmpty(splitRegex)) {
            throw new RuntimeException("splitRegex == null");
        }
        StringBuilder builder = new StringBuilder();
        if (list != null && list.size() > 0) {
            int size = list.size();
            for (int i = 0; i < size; i++) {
                builder.append(list.get(i));
                if (i < (size - 1)) {
                    builder.append(splitRegex);
                }
            }
        }
        return builder.toString();
    }

}
